Subject: bug#4276: 23.1.50; Repeated C-S-u (translated to C-u) acts like a single C-u

From: Smal Shonne <[email-masked]>
Date: Wed, 24 Feb 2016 22:19:08 +0100

Hi,

I don't use Emacs (or this email address) any more, so I'm afraid I can't
check.

2016-01-15 23:16 GMT+01:00 Marcin Borkowski <[email-masked]>:

> On 2009-08-27, at 23:41, Deniz Dogan <[email-masked]> wrote:
>
> > When I have Caps Lock turned on and hit C-u, emacs will recognize this
> > as C-S-u and then translate it to C-u. However, if I hit C-u C-u C-u
> > with Caps Lock turned on, it will result in just a single C-u.
> >
> > Reproduction of this issue:
> > 1. Turn Caps Lock on (or just hold shift throughout the rest of these
> >    instructions)
> > 2. C-u C-u C-u
> > 3. Wait for the key sequence to show up in the echo area
> > 4. Hit e.g. "i"
> > 5. Notice how only four characters were inserted.
>
> Hello,
>
> I tried to reproduce this against Emacs 25.1.50.1, and could not.  Could
> you check whether the problem persists on your end?
>
> Thanks in advance,
>
> --
> Marcin Borkowski
> http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
> Faculty of Mathematics and Computer Science
> Adam Mickiewicz University
>

-- 
Deniz Dogan